=== modified file '__init__.py'
--- __init__.py	2007-02-03 10:51:01 +0000
+++ __init__.py	2007-02-03 11:52:13 +0000
@@ -52,6 +52,10 @@
 
 check_bzrlib_version(version_info[:2])
 
+from bzrlib.trace import warning
+if __name__ != 'bzrlib.plugins.gtk':
+    warning("Not running as bzrlib.plugins.gtk, things may break.")
+
 from bzrlib import errors
 from bzrlib.commands import Command, register_command, display_command
 from bzrlib.errors import NotVersionedError, BzrCommandError, NoSuchFile

=== modified file 'annotate/gannotate.py'
--- annotate/gannotate.py	2007-02-03 10:25:09 +0000
+++ annotate/gannotate.py	2007-02-03 11:52:13 +0000
@@ -28,7 +28,7 @@
 from bzrlib.revision import NULL_REVISION, CURRENT_REVISION
 
 from colormap import AnnotateColorMap, AnnotateColorSaturation
-from logview import LogView
+from bzrlib.plugins.gtk.logview import LogView
 
 
 (

=== added file 'bzr-icon-64.png'
Binary files bzr-icon-64.png and bzr-icon-64.png differ
=== renamed file 'annotate/logview.py' => 'logview.py'
=== renamed file 'olive/revbrowser.py' => 'revbrowser.py'
--- olive/revbrowser.py	2007-02-01 09:42:15 +0000
+++ revbrowser.py	2007-02-03 11:52:13 +0000
@@ -22,7 +22,6 @@
 
 import gobject
 import gtk
-import gtk.glade
 
 from bzrlib.osutils import format_date
 

